# Module MMTK.Biopolymers

## Functions

- defineAminoAcidResidue()

  Adds a non-standard amino acid residue to the residue table. The definition of the residue must be accesible by full_name in the chemical database. The three-letter code is specified by code3, and an optional one-letter code can be specified by code1.

  Once added to the residue table, the new residue can be used like any of the standard residues in the creation of peptide chains.

- defineNucleicAcidResidue()

  Adds a non-standard nucleic acid residue to the residue table. The definition of the residue must be accesible by full_name in the chemical database. The residue code is specified by code.

  Once added to the residue table, the new residue can be used like any of the standard residues in the creation of nucleotide chains.

## Class ResidueChain: A chain of residues

A subclass of MMTK.Molecule.

This is an abstract base class that defines operations common to peptide chains and nucleic acid chains.

Methods:

- residuesOfType(*types)

  Returns a collection that contains all residues whose type (residue code) is contained in types.

- residues()

  Returns a collection containing all residues.

- sequence()

  Returns the sequence as a list of residue code.